#依赖资源

```js
antd
antd-mobile
echarts-for-reac
qrcode.react
js-md5
moment
lodash
react-highlight-words
base-x
react-native-uuid
brace
react-ace
draft-js
reqwest
xlsx-oc
react-native-uuid
path-to-regexp
prop-types
```

##抽离注意

文件依赖的utils和config都抽离到了one_stop_public

## Model层注意

将**webPublic/Models**下文件放入src下的Models中

**modileHome**:该接口用于请求事务详细数据和表单数据

**affair**:该接口用于请求当前事务的待办已办和事务提交

**新建流程提交模板**

```js
dispatch({
          type: 'affair/startProcess',
          payload: {
            content: JSON.stringify(values), // form表单控件拿取整个的数据
            level: radioValue, // 紧急度配置
            appId: this.state.appId, // 事务ID
            id: !!this.state.draftId ? this.state.draftId : null // 如果为草稿则传入ID进行修改
          },
          callback: val => {

          },
        });
```



## 生成新表单入口文件



```js
import Entrance from '@/webPublic/Entrance'
<Entrance
	id=''//传入事务Id
    form={form} // antd表单控件
    get={'web'} // 'web'或 'mobile'
   />
```

**生成历史表单示例**

```js
// hisTaskFormKeys 为接口返回数据 对应接口val.hisTaskForm字段
hisTaskFormKeys.formKeys.map((item, index) => {
                      return (
                        <>
                          <ZdyTable
                            get="web" // 平台区分
                            postData={data} // 请求数据源
                            obj={hisTaskFormKeys.formData} // 传入所有表单的默认字段
                            form={this.props.form} // antd form控件
                            formKey={item.formKey} // 当前展示的历史表单key值
                          />
                        </>
                      );
                    })

```

