/**
 * 徐立
 * 2019年9月25日
 * 自定义表单表格
 */
import React, { Component } from 'react'
import { Form } from 'antd';
import { Row, Col ,Input,message} from 'antd'
import TableCom from '../tableCompon'
import {Toast} from 'antd-mobile'
import router from 'umi/router'


export default class ZdyTable extends Component {
    constructor(props){
        super(props)

        this.state = {
            selects: new Map(),
            left: 0,
            top: 0,
            max: 4,
            width: 100,
            mapData:{},
            defaultBinds:{},
            sqlData:{},
            defaultValues:{},
            currentFormKey:null,
            items:[],
            init:this.props.init||{},
            datas:{},
            isEdit:true,
            isReady:false,
            formConfig:{},
        }
    }

    componentDidMount(){

        let {
                postData, // 数据源
                isCg, // 用户点击草稿页面进入
                isForm,
                isPreview, // 是否为预览模式
                isChild, // 是否为子表单
                isQRCode=false, // 是否为二维码快捷发起
                formDeafault='', // 为二维码快捷发起默认值
            } = this.props
        if(isPreview||isChild){

            this.setState({...this.state,...this.props,isReady:true})
            return
        }

        let val = postData
        /**
         * 数据源不同进行以下区别处理
         * this.props.table有传入值表明需要渲染流程中最新表单
         */
        if(isForm){ // 由表格的操作按钮进入
            const mapData = {};
            const sqlData={}
            const dataObjs = val.form.dataObjModels;
            for (var i = 0; i < dataObjs.length; i++) {
                const dob = dataObjs[i];
                for (var j = 0; j < dob.columnModels.length; j++) {
                    mapData[dob.columnModels[j].base52] = dob.columnModels[j];
                }
            }
            const sqls = val.form.sqlModels
            for (var i = 0; i < sqls.length; i++) {
                const dob = sqls[i].dataObjModel;
                for (var j = 0; j < dob.columnModels.length; j++) {
                    sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
                }
            }
            const obj = JSON.parse(val.form.content);
            const xxx = obj.datas[obj.init];
            this.setState({
                datas:obj.datas,
                width: this.props.table?obj.datas[val.formKey].width:xxx.width,
                isBorder:this.props.table?obj.datas[val.formKey].isBorder:xxx.isBorder,
                mapData,
                currentFormKey:this.props.table?val.formKey:obj.init,
                sqlData,
                isEdit:this.props.formKey?false:true,
                items: this.props.table?obj.datas[val.formKey].items:xxx.items,
                defaultValues:val.form.defaultValues,
                appId: val.appId,
                isReady:true,
                formConfig:xxx
            });
            return
        }
        if(isCg === 'yes'){// 用户从编辑按钮进入
            if( val.unifiedServicePatternModel.isDefaultError!=null&&val.unifiedServicePatternModel.isDefaultError){
                if(this.props.get=="web"){
                    message.error("当前办理人数较多，服务繁忙，请稍后再试!")
                }else{
                    Toast.fail("当前办理人数较多，服务繁忙，请稍后再试!")
                }

                router.goBack()
                return;
            }
            const mapData = {};
            const sqlData={};
            const sqls = val.unifiedServicePatternModel.sqlModels
            for (var i = 0; i < sqls.length; i++) {
              const dob = sqls[i].dataObjModel;

              for (var j = 0; j < dob.columnModels.length; j++) {
                sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
              }
            }
            const dataObjs = val.unifiedServicePatternModel.dataObjModels;
            for (var i = 0; i < dataObjs.length; i++) {
              const dob = dataObjs[i];

              for (var j = 0; j < dob.columnModels.length; j++) {
                mapData[dob.columnModels[j].base52] = dob.columnModels[j];
              }
            }
            const obj = JSON.parse(val.unifiedServicePatternModel.content);
            const xxx = obj.datas[obj.init];
            this.setState({
              items: xxx.items,
              init: {...this.state.init,...JSON.parse(val.content)},
              datas:obj.datas,
              isEdit:this.props.formKey?false:true,
              currentFormKey:obj.init,
              width: xxx.width,
              isBorder: xxx.isBorder,
              mapData,sqlData,defaultValues:val.unifiedServicePatternModel.defaultValues,
              appId: val.appId,
              isReady:true,
              formConfig:xxx,
              defaultBinds:this.props.table?obj.datas[val.taskFormKey].defaultBinds:xxx.defaultBinds,

            });
            return
        }
        if( val.unifiedServicePatternModel.isDefaultError!=null&&val.unifiedServicePatternModel.isDefaultError){
            if(this.props.get=="web"){
                message.error("当前办理人数较多，服务繁忙，请稍后再试!")
            }else{
                Toast.fail("当前办理人数较多，服务繁忙，请稍后再试!")
            }

            router.goBack()
            return;
        }
        const mapData = {};
        const sqlData={};
        const sqls = val.unifiedServicePatternModel.sqlModels
        for (var i = 0; i < sqls.length; i++) {
          const dob = sqls[i].dataObjModel;

          for (var j = 0; j < dob.columnModels.length; j++) {
            sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
          }
        }
        const dataObjs = val.unifiedServicePatternModel.dataObjModels;
        for (var i = 0; i < dataObjs.length; i++) {
          const dob = dataObjs[i];

          for (var j = 0; j < dob.columnModels.length; j++) {
            mapData[dob.columnModels[j].base52] = dob.columnModels[j];
          }
        }
        const obj = JSON.parse(val.unifiedServicePatternModel.content);
        const xxx = obj.datas[this.props.formKey ? this.props.formKey : obj.init]; // 是否是存在历史表单传入值

        this.setState({
            appId: val.id,
            datas:obj.datas,
            mapData,sqlData, defaultValues:val.unifiedServicePatternModel.defaultValues,
          isEdit:this.props.formKey?false:true,
            currentFormKey:this.props.formKey?this.props.formKey:val.taskFormKey?val.taskFormKey:obj.init,
            defaultBinds:this.props.table?obj.datas[val.taskFormKey].defaultBinds:xxx.defaultBinds,
            width: this.props.table?obj.datas[val.taskFormKey].width:xxx.width,
            isBorder:  this.props.table?obj.datas[val.taskFormKey].isBorder:xxx.isBorder,
            items: this.props.table?obj.datas[val.taskFormKey].items:xxx.items,
            isReady:true,
            init: {...this.state.init,...val.isSecond?this.props.obj:{}},
            formConfig:xxx
            // init:this.props.get==="mobile"?!!val.content?JSON.parse(val.content):'':{},// 移动端默认值设置
        },()=>{
            /**
             * 为二维码快捷发起时自动设置新默认值
             */
            if(isQRCode){
                this.props.form.setFieldsValue(formDeafault)
            }
        });
    }
    componentWillReceiveProps(nextProps){
        let {
            postData,// 数据源
            isCg, // 用户点击草稿页面进入
            isForm,
            isPreview, // 是否为预览模式
            isChild,// 是否为子表单
        } = nextProps
        if(isPreview||isChild){

            this.setState({...this.state,...this.props,isReady:true})
            return
        }

        let val = postData
        /**
         * 数据源不同进行以下区别处理
         * this.props.table有传入值表明需要渲染流程中最新表单
         */
        if(isForm){ // 由表格的操作按钮进入
            const mapData = {};
            const sqlData={}
            const dataObjs = val.form.dataObjModels;
            for (var i = 0; i < dataObjs.length; i++) {
                const dob = dataObjs[i];
                for (var j = 0; j < dob.columnModels.length; j++) {
                    mapData[dob.columnModels[j].base52] = dob.columnModels[j];
                }
            }
            const sqls = val.form.sqlModels
            for (var i = 0; i < sqls.length; i++) {
                const dob = sqls[i].dataObjModel;
                for (var j = 0; j < dob.columnModels.length; j++) {
                    sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
                }
            }
            const obj = JSON.parse(val.form.content);
            const xxx = obj.datas[obj.init];
            this.setState({
                datas:obj.datas,
                width: this.props.table?obj.datas[val.formKey].width:xxx.width,
                isBorder:this.props.table?obj.datas[val.formKey].isBorder:xxx.isBorder,
                mapData,
                currentFormKey:this.props.table?val.formKey:obj.init,
                sqlData,
                isEdit:this.props.formKey?false:true,
                items: this.props.table?obj.datas[val.formKey].items:xxx.items,
                defaultValues:val.form.defaultValues,
                appId: val.appId,
                isReady:true,
                formConfig:xxx
            });
            return
        }
        if(isCg === 'yes'){// 用户从编辑按钮进入
            const mapData = {};
            const sqlData={};
            const sqls = val.unifiedServicePatternModel.sqlModels
            for (var i = 0; i < sqls.length; i++) {
              const dob = sqls[i].dataObjModel;

              for (var j = 0; j < dob.columnModels.length; j++) {
                sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
              }
            }
            const dataObjs = val.unifiedServicePatternModel.dataObjModels;
            for (var i = 0; i < dataObjs.length; i++) {
              const dob = dataObjs[i];

              for (var j = 0; j < dob.columnModels.length; j++) {
                mapData[dob.columnModels[j].base52] = dob.columnModels[j];
              }
            }
            const obj = JSON.parse(val.unifiedServicePatternModel.content);
            const xxx = obj.datas[obj.init];
            this.setState({
              items: xxx.items,
              init: {...this.state.init,...JSON.parse(val.content)},
              datas:obj.datas,
              isEdit:this.props.formKey?false:true,
              currentFormKey:obj.init,
              width: xxx.width,
              isBorder: xxx.isBorder,
              mapData,sqlData,defaultValues:val.unifiedServicePatternModel.defaultValues,
              appId: val.appId,
              isReady:true,
              formConfig:xxx,
              defaultBinds:this.props.table?obj.datas[val.taskFormKey].defaultBinds:xxx.defaultBinds,

            });
            return
        }
        const mapData = {};
        const sqlData={};
        const sqls = val.unifiedServicePatternModel.sqlModels
        for (var i = 0; i < sqls.length; i++) {
          const dob = sqls[i].dataObjModel;

          for (var j = 0; j < dob.columnModels.length; j++) {
            sqlData[dob.columnModels[j].base52] = dob.columnModels[j];
          }
        }
        const dataObjs = val.unifiedServicePatternModel.dataObjModels;
        for (var i = 0; i < dataObjs.length; i++) {
          const dob = dataObjs[i];

          for (var j = 0; j < dob.columnModels.length; j++) {
            mapData[dob.columnModels[j].base52] = dob.columnModels[j];
          }
        }
        const obj = JSON.parse(val.unifiedServicePatternModel.content);
        const xxx = obj.datas[this.props.formKey?this.props.formKey:obj.init]; // 是否是存在历史表单传入值
        this.setState({
            appId: val.id,
            datas:obj.datas,
            mapData,sqlData, defaultValues:val.unifiedServicePatternModel.defaultValues,
            isEdit:this.props.formKey?false:true,
            currentFormKey:this.props.formKey?this.props.formKey:val.taskFormKey?val.taskFormKey:obj.init,
            defaultBinds:this.props.table?obj.datas[val.taskFormKey].defaultBinds:xxx.defaultBinds,
            width: this.props.table?obj.datas[val.taskFormKey].width:xxx.width,
            isBorder:  this.props.table?obj.datas[val.taskFormKey].isBorder:xxx.isBorder,
            items: this.props.table?obj.datas[val.taskFormKey].items:xxx.items,
            isReady:true,
            init: {...this.state.init,...val.isSecond?this.props.obj:{}},
            formConfig:xxx
            // init:this.props.get==="mobile"?!!val.content?JSON.parse(val.content):'':{},// 移动端默认值设置
        });
    }
    checkAllHidden = (row) => {

        for (var i = 0; i < row.length; i++) {
            if (row[i].hidden == null || !row[i].hidden) {
                return false;
            }
        }
        for (var i = 0; i < row.length; i++) {
            delete row[i].hidden
        }
        return true
    }
    countMax = (items) => {
        var max = 0
        items.forEach((r) => {
            if (r.length > max) {
                max = r.length
            }
        })
        return max
    }

    render() {
        let { width,isBorder,sqlData,mapData,defaultBinds,defaultValues,items, init,currentFormKey ,isEdit ,datas,isReady,formConfig} = this.state

        let { border, get, obj,index,fatherCode} = this.props
        let style={}
        if(formConfig.style!=null){
        try{
            style=JSON.parse(formConfig.style)
        }catch(e){
            console.log(e)
            style={}
        }

    }
        const formItemLayout = {
            labelCol: {
                xs: { span: 24 },
                sm: { span: 5 },
            },
            wrapperCol: {
                xs: { span: 24 },
                sm: { span: 16 },
            },
        };
        const max = this.countMax(items)
        const borderStyle={
            borderRight:"1px solid gray",borderTop:"1px solid gray",borderLeft:"1px solid gray",borderBottom:"1px solid gray"
        }
        const styleDiv=this.props.height?{overflow: "auto", width: "100%" ,height:this.props.height}:{overflow: "auto", width: "100%" }

        if(!isReady) return<></>
        switch (get) {

            case 'web':
                return (
                    <Form {...formItemLayout} className="login-form" >
                        {isEdit&&defaultBinds ? Object.keys(defaultBinds).map((k) => {
                            const r = defaultBinds[k]
                            if (r.columnIds == null || r.columnIds.length < 2 || r.sqls == null || r.sqls.length < 2) {
                                return ""
                            }
                            const name = r.columnIds[r.columnIds.length - 1]
                            const key = r.sqls[r.sqls.length - 1]
                            const value = defaultValues[key]

                            if (value == null) {
                                return ""
                            }

                            return this.props.form.getFieldDecorator(name, {
                                initialValue: value

                            })(<Input type="hidden"/>);

                        }) : ""}

                        <Row>
                            <Col span={24}>
                                <div style={styleDiv} ref={ref => { this.root = ref }}
                                >
                                    <table style={{ overflow: "auto",  margin: max * width > 550 ? "auto" : '',...style }}  border={border} cellSpacing="0" cellPadding="0" >
                                        <tbody>
                                            {items.map((row, i) => {
                                                const allhidden = this.checkAllHidden(row)
                                                return <tr key={i}>

                                                    {row.map((cell, j) => {
                                                    let styles={}
                                                    if(cell.content&&cell.content.styles){
                                                        try{
                                                        styles= JSON.parse(cell.content.styles)
                                                        }catch (e) {
                                                        console.log(`第${i}行第${j}列样式配置有误,${e}`)
                                                        }
                                                    }


                                                    return !allhidden && cell.hidden ? "" : <td  width={i==0?((cell.content!=null&&cell.content.cwidth!=null?cell.content.cwidth:width) * (cell.col ? cell.col : 1))      :width * (cell.col ? cell.col : 1)} rowSpan={cell.row} colSpan={cell.col} key={j} style={{
                                                        overflow: "auto",
                                                        textAlign: cell.content&&cell.content.calign?cell.content.calign:"left",
                                                        ...isBorder?borderStyle:{},

                                                        ...styles
                                                    }} >

                                                        <TableCom i={i}  j={j} fatherCode={fatherCode} index={index} datas={datas} uuid={cell.uuid} isEdit={isEdit} formKey={currentFormKey} init={init} get={get} json={cell.content} obj={ obj||{}} mapData={mapData} form={this.props.form} sqlData={sqlData} defaultValues={defaultValues || {}} />
                                                    </td>}
                                                    )


                                                }

                                                </tr>

                                            })}
                                        </tbody>
                                    </table>

                                    {style.pageBreakAfter!=null?<div style={{pageBreakAfter:style.pageBreakAfter}}></div>:""}
                                </div>
                            </Col>
                        </Row>

                    </Form>
                )
            case 'mobile':
                return (
                    <Form {...formItemLayout} id='mobile_table' className="login-form">
                         {defaultBinds ? Object.keys(defaultBinds).map((k) => {
                            const r = defaultBinds[k]
                            if (r.columnIds == null || r.columnIds.length < 2 || r.sqls == null || r.sqls.length < 2) {
                                return ""
                            }
                            const name = r.columnIds[r.columnIds.length - 1]
                            const key = r.sqls[r.sqls.length - 1]
                            const value = defaultValues[key]

                            if (value == null) {
                                return ""
                            }

                            return this.props.form.getFieldDecorator(name, {
                                initialValue: value

                            })(<Input type="hidden"/>);

                        }) : ""}
                        {
                            items.map((item, i) => {
                                const allhidden = this.checkAllHidden(items)
                                return (<div key={i} style={{ marginTop: 0, background: '#ffffff', paddingLeft:12, width: '100%',flexWrap:'wrap',...style  }}>
                                    {
                                        item.map((ary, j) => {
                                        return !allhidden && ary.hidden ? ""
                                        : <><TableCom i={i}  j={j}   index={index} fatherCode={fatherCode} datas={datas} isEdit={isEdit} formKey={currentFormKey} init={init} get={get} key={j} sqlData={sqlData} obj={ obj||{}} form={this.props.form} mapData={mapData} json={ary.content} uuid={ary.uuid} defaultValues={defaultValues || {}} /></>
                                        })
                                    }
                                </div>)
                            })
                        }
                    </Form>
                )
        }
    }
}
